Skip to main content

List Spending Plan Iteration Items

Use this endpoint to list all the spending plan iteration_items associated with the iteration.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans/SPL-dbfe201d-c341-4bff-93c0-62a918d0b600/iterations/current/iteration_items' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_38
{
_38
"iteration_items": [
_38
{
_38
"created_at": "2023-05-03T22:32:19Z",
_38
"updated_at": "2023-05-03T22:32:19Z",
_38
"actual_amount": null,
_38
"category_guid": null,
_38
"guid": "SII-0479b359-b682-4d49-8c6a-61c7c1ec642f",
_38
"item_type": null,
_38
"planned_amount": 100.0,
_38
"scheduled_payment_guid": null,
_38
"spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
_38
"top_level_category_guid": null,
_38
"transaction_guids": null,
_38
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_38
},
_38
{
_38
"created_at": "2023-05-16T16:12:57Z",
_38
"updated_at": "2023-05-16T16:12:57Z",
_38
"actual_amount": null,
_38
"category_guid": null,
_38
"guid": "SII-e34f7aee-8f7c-46fe-a88c-c6e3eadfca44",
_38
"item_type": null,
_38
"planned_amount": 110.0,
_38
"scheduled_payment_guid": null,
_38
"spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
_38
"top_level_category_guid": null,
_38
"transaction_guids": null,
_38
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_38
}
_38
],
_38
"pagination": {
_38
"current_page": 1,
_38
"per_page": 25,
_38
"total_entries": 2,
_38
"total_pages": 1
_38
}
_38
}